.texto-rojo {
    color: red;
}
.texto-azul {
    color: #007bff;
}
.colores-thead, .btn-primary{
    color: white !important;
    background: #38B6FF!important;
}
.estatus-activo{
    background: #3bffb788;
}
.estatus-inactivo{
    background: #ff3b3b7d;
}
.btn-imagen{
    border: none;
    background: transparent;
}
.separacion-derecha{
    margin-right: 10px;
}
.active-aside {
    background: #38B6FF!important;
    color: white !important;
}

.bg-info-azul{
    background: #38B6FF;
    color: white;

}

.bg-amarilla {
    color: white;
    background: #ffc107;
}

.estatus-cerrado {
    background: #28a745;
    color: white;
}
.estatus-resuelto {
    background: #007bff;
    color: white;
}
.estatus-rechazado {
    background: #dc3545;
    color: white;
}
.estatus-en-espera {
    background: #17a2b8;
    color: white;
}
.estatus-en-progreso {
    background: #ffc107;
    color: white;
}
.estatus-asignado {
    background: #38B6FF;
    color: white;
}

.btn_icon_cabecera_tickets{
    border-radius: 20px;
    background: transparent;
    color: white;
    border: transparent;
    transition: all 0.3s ease;
}

.btn_icon_cabecera_tickets:hover{
    /*color: black;*/
    font-weight: bold;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.3);
}

.imagen-chat{
    max-width: 550px;
    max-height: 350px;
    border-radius: .3rem;
}

.mt-10{
    margin-top: 10px;
}

.fz-xxxl{
    font-size: xxx-large;
}
.card-azul{
    border-top: #38B6FF 3px solid;
}
.altura-textarea{
    height: 38px!important;
}

.imagen-login{
    width: 100%;
}

.mb-15{
    margin-bottom: 15px;
}

.full-screen-modal {
    width:  90vw!important;   /* 100% del ancho de la ventana */
    height: 80vh;  /* 100% de la altura de la ventana */
    max-width: 95vw; /* Limita el ancho a la ventana */
    max-height: 85vh; /* Limita la altura a la ventana */
    padding: 0;     /* Eliminar el padding */
    margin: 0;      /* Eliminar los márgenes */
    border-radius: 0; /* Eliminar los bordes redondeados (opcional) */
  }
  
  .full-screen-modal .swal2-title,
  .full-screen-modal .swal2-content,
  .full-screen-modal .swal2-footer {
    text-align: center; /* Centrar el contenido dentro del modal */
  }
  
/*mi estilo de cards fvmf*/
.card-redondeada {
    border-radius: 20px;  /* Redondea las esquinas */
    overflow: hidden;     /* Asegura que los elementos no sobresalgan de los bordes redondeados */ 
    box-shadow: 4px 4px 20px rgba(0, 0, 0.4, 0.2);
}

.card-flip {
    transition: transform 1.0s;
    transform-style: preserve-3d;
    height: 100%;
    width: 100%;
    position: relative;
}

.card:hover .card-flip {
    transform: rotateY(180deg);
}

.card-front, .card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: 20px;
    
}

.card-front {
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #ccc;
}

.card-back {
    color: white;
    transform: rotateY(180deg);
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #ccc;
    
}
.p-cards{
    margin: 20px;
    padding: 10px;
    font-size: small;
}
/* Colores de las cards */
.card-1 {
    background-color: #03a1fd; /* Color para la card 1 */
}
.card-back-1 {
    background-color: #0849ac; /* Color para la card 1 */
}


.card-back-2 {
    background-color: #dd9700; /* Color para la card 2 */
}
.card-2 {
    background-color: #ffc107; /* Color para la card 2 */
}


.card-3 {
    background-color: #17a2b8; /* Color para la card 3 */
}
.card-back-3 {
    background-color: #236670; /* Color para la card 3 */
}


.card-4 {
    background-color: #f7071f;/* Color para la card 4 */
    
}
.card-back-4 {
    background-color: #a50010; /* Color para la card 4 */
}

.card-5 {
    background-color: #0d6efd; /* Color para la card 5 */
}
.card-back-5 {
    background-color: #0b2c5e; /* Color para la card 5 */
}

.card-6 {
    background-color: #198754; /* Color para la card 6 */
}
.card-back-6 {
    background-color: #094629; /* Color para la card 6 */
}
/*Cambia el color del nombre del usuario en el aside*/
.p-user-name{
    color: gainsboro;
}

/*Estilos de footer*/

.icon{
    font-size: 25px;
}

.icons i{
    margin: 10px;

}

.imagen{
    height: 25px;
}

/* ESTILOS BOTON CHAT */
#botonFlotante {
    position: fixed;
    bottom: 150px;
    right: 50px;
    display: none; /* Oculto por defecto */
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    font-size: 24px;
    text-align: center;
    line-height: 50px;
    cursor: pointer;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    z-index: 1000;
  }

  #botonFlotante:hover {
    background-color: #0056b3;
  }
  
  .loader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url(../img/loader_transparent.gif) 50% 50% no-repeat transparent;
    opacity: 1;
  }